Name: kde-utils-kcalc 
Summary: Scientific Calculator
Version: 14.12.3
Release: %mkrel 3
Group:	 Graphical desktop/KDE4
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeutils/kcalc
Source0: http://download.kde.org/%{stable}/%{version}/src/kcalc-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: gmp-devel
Conflicts: kdeutils4-kcalc
Conflicts: kdeutils4-core

%description
KCalc is a calculator which offers many more mathematical
functions than meet the eye on a first glance.

%prep
%setup -q -n kcalc-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kcalc.desktop
  
%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%{_kde_bindir}/kcalc
%{_kde_appsdir}/kcalc/
%{_kde_appsdir}/kconf_update/kcalcrc.upd
%{_kde_datadir}/config.kcfg/kcalc.kcfg
%{_kde_datadir}/applications/kde4/kcalc.desktop
%{_kde_libdir}/libkdeinit4_kcalc.so
%{_kde_docdir}/HTML/*/kcalc/*

%changelog
* Wed Jul 22 2015 pp <pp> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Sun Apr 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

